Qore OracleSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Public Attributes | List of all members
OracleSqlUtil::OracleCheckConstraint Class Reference

represents an Oracle check constraint More...

Inheritance diagram for OracleSqlUtil::OracleCheckConstraint:
[legend]

## Public Member Functions
string | getDisableSql (string table_name)
| returns a string that can be used to temporarily disable the constraint from the database
string | getEnableSql (string table_name, *hash opt)
| returns a string that can be used to enable the constraint in the database

## Public Attributes
bool | enabled
| True if the constraint is enabled, False if not

## Detailed Description

represents an Oracle check constraint